Export invoices by org
Authentication
Long-lived API token sent in the requestToken header. See API token authentication.
OAuth2 Bearer access token from the client-credentials flow. See OAuth authentication.
Long-lived API token sent in the requestToken header. See API token authentication.
OAuth2 Bearer access token from the client-credentials flow. See OAuth authentication.
This endpoint is deprecated. To export this data, use List invoices by organization with the exportFormat query parameter instead.
Export a list of invoices for an organization. Use filters to limit results.
Collection of field names, conditions, and values used to filter the query
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.
For example:
should become:
—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
See Filters and Conditions Reference for help.
List of field names accepted:
invoiceDate (gt, ge, lt, le, eq, ne)dueDate (gt, ge, lt, le, eq, ne)sentDate (gt, ge, lt, le, eq, ne)frequency (in, nin,ne, eq)invoiceType (eq, ne)payTerms (in, nin, eq, ne)paypointId (ne, eq)totalAmount (gt, ge, lt, le, eq, ne)paidAmount (gt, ge, lt, le, eq, ne)status (in, nin, eq, ne)invoiceNumber (ct, nct, eq, ne)purchaseOrder (ct, nct, eq, ne)itemProductCode (ct, nct)itemDescription (ct, nct)customerFirstname (ct, nct, eq, ne)customerLastname (ct, nct, eq, ne)customerName (ct, nct)customerId (eq, ne)customerNumber (ct, nct, eq, ne)customerCompanyname (ct, nct, eq, ne)customerAddress (ct, nct, eq, ne)customerCity (ct, nct, eq, ne)customerZip (ct, nct, eq, ne)customerState (ct, nct, eq, ne)customerCountry (ct, nct, eq, ne)customerPhone (ct, nct, eq, ne)customerEmail (ct, nct, eq, ne)customerShippingAddress (ct, nct, eq, ne)customerShippingCity (ct, nct, eq, ne)customerShippingZip (ct, nct, eq, ne)customerShippingState (ct, nct, eq, ne)customerShippingCountry (ct, nct, eq, ne)orgId (eq)paylinkId (ne, eq)paypointLegal (ne, eq, ct, nct)paypointDba (ne, eq, ct, nct)orgName (ne, eq, ct, nct)additional-xxx (ne, eq, ct, nct) where xxx is the additional field nameList of comparison accepted - enclosed between parentheses:
List of parameters accepted:
Example: totalAmount(gt)=20 return all records with totalAmount greater than 20.00